﻿/**
 * Parameters of the Battle Loading screen.
 * Параметры экрана загрузки боя.
 * из сборки: himicats ( от ХИМИКАТА )
 * http://forum.worldoftanks.ru/index.php?/topic/779587-093
 */
{
  "templates": {
    // Clan icon definition.
    // Шаблон иконки клана.
    "clanIcon": {
      "enabled": true,
      "x": 65, "y": 6, "width": 16, "height": 16, "align": "center", "alpha": 90,
      "src": "{{clanicon}}"
    }
  },
  "battleLoading": {
    // Format of clock on the Battle Loading Screen.
    // Формат часов на экране загрузки боя.
    // http://php.net/date
    "clockFormat": "H:i d/m/Y",
    // true - enable display of battle tier.
    // true - включить отображение уровня боя.
    "showBattleTier": false,
    // true - disable Platoon icons. This blank space can house, for example, clan logos.
    // true - убрать отображение иконки взвода. На пустое поле можно вывести, например, иконку клана.
    "removeSquadIcon": false,
    // true - disable vehicle level indicator.
    // true - убрать отображение уровня танка.
    "removeVehicleLevel": false,
    // true - disable vehicle type icon. This space will be used for formatted vehicle field.
    // true - убрать отображение типа танка. Пустое место будет использовано под форматируемое поле.
    "removeVehicleTypeIcon": false,
    // X offset for allies squad icons
    // Cмещение по оси X значка взвода для союзников
    "squadIconOffsetXLeft": 0,
    // X offset for enemies squad icons field
    // Cмещение по оси X значка взвода для противников
    "squadIconOffsetXRight": 0,
    // X offset for allies player names field
    // Cмещение по оси X поля ника для союзников
    "nameFieldOffsetXLeft": -20,
    // X offset for enemies player names field
    // Cмещение по оси X поля ника для противников
    "nameFieldOffsetXRight": -20,
    // X offset for "formatLeftVehicle" field
    // Cмещение по оси X поля названия танка для союзников
    "vehicleFieldOffsetXLeft": 0,
    // X offset for "formatRightVehicle" field
    // Cмещение по оси X поля названия танка для противников
    "vehicleFieldOffsetXRight": 10,
    // X offset for allies vehicle icons
    // Смещение по оси X иконки танка для союзников
    "vehicleIconOffsetXLeft": 0,
    // X offset for enemies vehicle icons
    // Смещение по оси X иконки танка для противников
    "vehicleIconOffsetXRight": 0,
    // Display options for Team/Clan logos.
    // Параметры отображения иконки игрока/клана.
    "clanIcon": {
      // false - Disable Team/Clan logos in Battle Loading Screen.
      // false - не отображать иконки игрока/клана в окне загрузки боя.
      "show": true,
      // Position on the X axis, relative to the vehicle icon.
      // Положение по оси X относительно иконки танка.
      "x": 0,
      // Position on the Y axis, relative to the vehicle icon.
      // Положение по оси Y относительно иконки танка.
      "y": 6,
      // Position on the X axis for right side (positive values run to the *inside* of the table).
      // Положение по оси X для правых ушей (положительные значения поместят иконку *внутрь* панели).
      "xr": 0,
      // Position on the Y axis for right side.
      // Положение по оси Y для правых ушей.
      "yr": 6,
      // Width of the Team/Clan logo.
      // Ширина иконки игрока/клана.
      "w": 18,
      // Height of the Team/Clan logo.
      // Высота иконки игрока/клана.
      "h": 18,
      // Transparency of the Team/Clan logo.
      // Прозрачность иконки игрока/клана.
      "alpha": 90
    },
    // false - disable highlight of icons during battle start depends on ready state.
    // false - отключить затемнение иконки не загрузившегося игрока.
    "darkenNotReadyIcon": false,
    // Display format for the left panel (macros allowed, see macros.txt).#DBAA80  #FFEEAA
    // Формат отображения для левой панели (допускаются макроподстановки, см. macros.txt).
    "formatLeftNick": "<img src='cfg://himicats/img/xvm-user-{{xvm-user|none}}.png'><font size='14'>{{name%-.13s~}}</font> <font color='#FFEEAA'>{{clan}}</font>",
    // Display format for the right panel (macros allowed, see readme-en.txt).
    // Формат отображения для правой панели (допускаются макроподстановки, см. readme-ru.txt).
    "formatRightNick": "<font size='14'>{{name%-.13s~}}</font> <font color='#FFEEAA'>{{clan}}</font><img src='cfg://himicats/img/xvm-user-{{xvm-user|none}}.png'>",
    // Формат отображения для левой панели (допускаются макроподстановки, см. macros.txt).
    "formatLeftNick": "<img src='xvm://res/icons/flags/{{flag|default}}.png' width='16' height='13'> <img src='xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png'> <font face='$UniversCondC' color='#CCCCCC' size='15' alpha='100'>{{name%.15s~..}}</font> <font color='#CCCCCC' alpha='#A0'>{{clan}}</font></font>",
    // Display format for the right panel (macros allowed, see macros.txt).
    // Формат отображения для правой панели (допускаются макроподстановки, см. macros.txt).
    "formatRightNick": "<font face='$UniversCondC' color='#CCCCCC' size='15' alpha='100'>{{name%.15s~..}}</font> <font color='#CCCCCC' alpha='#A0'>{{clan}}</font> <img src='xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png'>  <img src='xvm://res/icons/flags/{{flag|default}}.png' width='16' height='13'> </font></font>",
    // Display format for the left panel (macros allowed, see macros.txt).
    // Формат отображения для левой панели (допускаются макроподстановки, см. macros.txt).
	"formatLeftVehicle": "<font face='$UniversCondC' color='#FFEEAA' size='14' alpha='100'>{{vehicle}} <font face='mono' size='{{xvm-stat?15|0}}'> <font color='{{c:winrate}}'>{{winrate%2d~%|--%}}</font> <font color='{{c:xwn8}}'>{{xwn8}}</font> <font color='{{c:kb}}'>{{kb%2d~k|--k}}</font>  <font face='mono' size='{{xvm-stat?10|0}}'><font color='{{c:t-winrate}}'>{{t-winrate%2d~%|--%}}</font> <font color='{{c:t-battles}}'>{{t-hb%2d~h|--h}}</font></font>",
    // Display format for the right panel (macros allowed, see macros.txt).
    // Формат отображения для правой панели (допускаются макроподстановки, см. macros.txt).
	"formatRightVehicle": "<font face='mono' size='{{xvm-stat?15|0}}'> <font color='{{c:winrate}}'>{{winrate%2d~%|--%}}</font> <font color='{{c:xwn8}}'>{{xwn8}}</font> <font color='{{c:kb}}'>{{kb%2d~k|--k}}</font>  <font face='mono' size='{{xvm-stat?10|0}}'><font color='{{c:t-winrate}}'>{{t-winrate%2d~%|--%}}</font> <font color='{{c:t-battles}}'>{{t-hb%2d~h|--h}}</font> <font face='$UniversCondC' color='#FFEEAA' size='14' alpha='100'>{{vehicle}}</font></font>",
    // TODO
    // Extra fields. Fields are placed one above the other.
    // Дополнительные поля. Поля располагаются друг над другом.
    // Set of formats for left panel (extended format supported, see above)
    // Набор форматов для левой панели (поддерживается расширенный формат, см. выше)
    "extraFieldsLeft": [
      ${"templates.clanIcon"}
    ],
    // Set of formats for right panel (extended format supported, see above)
    // Набор форматов для правой панели (поддерживается расширенный формат, см. выше)
    "extraFieldsRight": [
      ${"templates.clanIcon"}
    ]
  }
}
