﻿/**
 * Parameters of the Battle Statistics form.
 * Параметры окна статистики по клавише Tab.
 * из сборки: himicats ( от ХИМИКАТА )
 * http://forum.worldoftanks.ru/index.php?/topic/779587-093
 */
{
  "templates": {
    // Clan icon definition.
    // Шаблон иконки клана.
    "clanIcon": {
      "enabled": true,
      "x": 65, "y": 6, "width": 16, "height": 16, "align": "center", "alpha": 90, "bindToIcon": true,
      "src": "{{clanicon}}"
    }
  },
  "statisticForm": {
    // true - Enable display of battle tier.
    // true - включить отображение уровня боя.
    "showBattleTier": false,
    // true - Disable Platoon icons.
    // true - убрать отображение иконки взвода.
    "removeSquadIcon": false,
    // Opacity percentage of vehicle icon. 0 - transparent ... 100 - opaque.
    // Прозрачность в процентах иконки танка. 0 - прозрачные, 100 - не прозрачные.
    "vehicleIconAlpha": 100,
    // true - disable vehicle level indicator.
    // true - убрать отображение уровня танка.
    "removeVehicleLevel": false,
    // true - disable vehicle type icon. This space will be used for formatted vehicle field.
    // true - убрать отображение типа танка. Пустое место будет использовано под форматируемое поле.
    "removeVehicleTypeIcon": false,
    // true - disable player status icon.
    // true - убрать отображение иконки статуса игрока.
    "removePlayerStatusIcon": false,
    // Show border for name field (useful for config tuning)
    // Показывать рамку для поля имени игрока (полезно для настройки конфига)
    "nameFieldShowBorder": false,
    // Show border for vehicle field (useful for config tuning)
    // Показывать рамку для поля имени танка (полезно для настройки конфига)
    "vehicleFieldShowBorder": false,
    // Show border for frags field (useful for config tuning)
    // Показывать рамку для поля фрагов (полезно для настройки конфига)
    "fragsFieldShowBorder": false,
    // X offset for allies squad icons
    // Cмещение по оси X значка взвода союзников
    "squadIconOffsetXLeft": 0,
    // X offset for enemies squad icons field
    // Cмещение по оси X значка взвода противников
    "squadIconOffsetXRight": 0,
    // X offset for allies player names field
    // Cмещение по оси X поля ника союзников
    "nameFieldOffsetXLeft": 0,
    // X offset for enemies player names field
    // Cмещение по оси X поля ника противников
    "nameFieldOffsetXRight": -9,
    // Width of allies player names field
    // Ширина поля ника союзников
    "nameFieldWidthLeft": 170,
    // Width of enemies names field
    // Ширина поля ника противников
    "nameFieldWidthRight": 170,
    // X offset for "formatLeftVehicle" field
    // Cмещение по оси X поля названия танка союзников
    "vehicleFieldOffsetXLeft": 80,
    // X offset for "formatRightVehicle" field
    // Cмещение по оси X поля названия танка противников
    "vehicleFieldOffsetXRight": 60,
    // Width of "formatLeftVehicle" field
    // Ширина поля названия танка союзников
    "vehicleFieldWidthLeft": 200,
    // Width of "formatRightVehicle" field
    // Ширина поля названия танка противников
    "vehicleFieldWidthRight": 200,
    // X offset for allies vehicle icons
    // Смещение по оси X иконки танка союзников
    "vehicleIconOffsetXLeft": 85,
    // X offset for enemies vehicle icons
    // Смещение по оси X иконки танка противников
    "vehicleIconOffsetXRight": 50,
    // X offset for allies frags
    // Смещение по оси X фрагов союзников
    "fragsFieldOffsetXLeft": 25,
    // X offset for enemies frags
    // Смещение по оси X фрагов противников
    "fragsFieldOffsetXRight": 25,
    // Width of frags field for allies
    // Ширина поля фрагов союзников
    "fragsFieldWidthLeft": 43,
    // Width of frags field for enemies
    // Ширина поля фрагов противников
    "fragsFieldWidthRight": 43,
    // Display format for the left panel (macros allowed, see macros.txt).
    // Формат отображения для левой панели (допускаются макроподстановки, см. macros.txt).
    "formatLeftNick": "<img src='cfg://himicats/img/xvm-user-{{xvm-user|none}}.png'><font size='14' alpha='{{alive?#FF|#80}}'> {{name%-.13s~}}</font> <font color='#FFEEAA' alpha='{{alive?#FF|#80}}'>{{clan}}</font></font>",
    // Display format for the right panel (macros allowed, see readme-en.txt).
    // Формат отображения для правой панели (допускаются макроподстановки, см. readme-ru.txt).
    "formatRightNick": "<font size='14' alpha='{{alive?#FF|#80}}'>{{name%-.13s~}}</font> <font color='#FFEEAA' alpha='{{alive?#FF|#80}}'>{{clan}}</font></font> <img src='cfg://himicats/img/xvm-user-{{xvm-user|none}}.png'>",
    // Display format for the left panel (macros allowed, see readme-en.txt).
    // Формат отображения для левой панели (допускаются макроподстановки, см. readme-ru.txt).
	"formatLeftVehicle": "<font face='$UniversCondC' color='#FFEEAA' size='14' alpha='{{alive?#FF|#80}}'>{{vehicle}}</font><font face='mono' size='{{xvm-stat?15|0}}'> <font color='{{c:winrate}}'>{{rating%2d~%|--%}}</font> <font color='{{c:xwn8}}'>{{xwn8}}</font> <font color='{{c:kb}}'>{{kb%2d~k|--k}}</font> <font face='mono' size='{{xvm-stat?10|0}}'><font color='{{c:t-winrate}}'>{{t-winrate%2d~%|--%}}</font> <font color='{{c:t-battles}}'>{{t-hb%2d~h|--h}}</font></font>",
    // Display format for the right panel (macros allowed, see macros.txt).
    // Формат отображения для правой панели (допускаются макроподстановки, см. macros.txt).
	"formatRightVehicle": "<font face='mono' size='{{xvm-stat?15|0}}'> <font color='{{c:winrate}}'>{{rating%2d~%|--%}}</font> <font color='{{c:xwn8}}'>{{xwn8}}</font> <font color='{{c:kb}}'>{{kb%2d~k|--k}}</font> <font face='mono' size='{{xvm-stat?10|0}}'><font color='{{c:t-winrate}}'>{{t-winrate%2d~%|--%}}</font> <font color='{{c:t-battles}}'>{{t-hb%2d~h|--h}}</font><font face='$UniversCondC' color='#FFEEAA' size='14' alpha='{{alive?#FF|#80}}'>  {{vehicle}}</font></font>", 
    // Display format for the left panel (macros allowed, see macros.txt).
    // Формат отображения для левой панели (допускаются макроподстановки, см. macros.txt).
    "formatLeftFrags": "{{frags}}",
    // Display format for the right panel (macros allowed, see macros.txt).
    // Формат отображения для правой панели (допускаются макроподстановки, см. macros.txt).
    "formatRightFrags": "{{frags}}",
    // Extra fields. Fields are placed one above the other.
    // Дополнительные поля. Поля располагаются друг над другом.
    // Set of formats for left panel (extended format supported, see playersPanel.xc)
    // Набор форматов для левой панели (поддерживается расширенный формат, см. playersPanel.xc)
    "extraFieldsLeft": [
      ${"templates.clanIcon"}
    ],
    // Set of formats for right panel (extended format supported, see playersPanel.xc)
    // Набор форматов для правой панели (поддерживается расширенный формат, см. playersPanel.xc)
    "extraFieldsRight": [
      ${"templates.clanIcon"}
    ]
  }
}
